Subject: Re: Finally managed to record the issue "on tape"

From: Michael DePaulo <[email-masked]>
Date: Fri, 9 Jan 2015 08:57:26 -0500

The way I see it, there are 2 parts of the issue.

1. Something is happening for 5 seconds.
2. During those 5 seconds, X2Go Client is displaying the Hourglass-and-Pointer.

We should be able to fix the issue by solving either part.

Perhaps there is some Qt feature we need to adjust in order to fix part #2?

-Mike#2

On Fri, Jan 9, 2015 at 4:30 AM, Oleksandr Shneyder
<[email-masked]> wrote:
> Hello Stefan,
>
> Actually, I don't see it as a problem at all, but I understand your
> point. I'll see, what I can do about it.
>
> regards,
> Alex
>
> Am 08.01.2015 um 17:51 schrieb Stefan Baur:
>> Am 24.11.2014 um 15:38 schrieb Oleksandr Shneyder:
>>
>>> I tried to launch newest client from nightly builds on Win7. I see
>>> a "waiting" pointer on the start of x2go client. But in this time I
>>> can use X2Go Client without problem and UI is responsible at that
>>> time. Did I understand you right? You have 5 sec. delay and during
>>> this delay you can't use a UI?
>>
>> Sorry for not replying sooner.  No, we're talking about the same
>> cursor.  "Hourglass-and-Pointer", not "Hourglass".
>>
>> So while yes, one can use the UI during these 5 seconds, it
>> nevertheless is confusing to the user.  The initial reaction of the
>> average user is "Oh, that thing's busy, I should wait".  A
>> non-technical user will not differentiate between
>> "Hourglass-and-Pointer" and "Hourglass".
>>
>> Since previous versions of X2GoClient did not exhibit this behavior, I
>> am expecting complaints about a sudden slow startup (from
>> non-technical users, that are not aware of the difference between
>> those two cursor types) when I roll this thing out.
>>
>> Is there no way we can avoid this? Maybe start the background
>> processes and the reaper only when a session is in the startup phase,
>> and not immediately when x2goclient.exe start?
>>
>> -Stefan
[...]